xamlg(1)

NAME
xamlg - Mono Xaml Class Generator

SYNOPSIS
xamlg.exe [/lang:NAME] xamlfile[,outputfile]...

DESCRIPTION
xamlg is a utility for generating partial classes from XAML.

xamlg will scan XAML files for x:Name'd elements and create memberfields for those elements. This allows users to easily reference elements in a XAML file from their .NET code.

OPTIONS

-sl2app:NAME
    Generates Silverlight 2.0 partial classes. The specified NAME should be the name of the XAP file that will host the code.

@lang
    The language that the partial class should be created in. Available options are CS for C Sharp or VB for Visual Basic.

-? | -help
    Display information about xamlg

COPYRIGHT
Copyright (C) 2007 Novell, Inc (http://www.novell.com)

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-devel-list for details.

WEB SITE
Visit: http://www.mono-project.com for details